org.eclipse.wst.jsdt.ui.actions

## Class ShowActionGroup

- java.lang.Object
- - ActionGroup
  - - org.eclipse.wst.jsdt.ui.actions.ShowActionGroup

    public class ShowActionGroup
    extends ActionGroup

Action group that adds the show actions to a context menu and the action bar's navigate menu.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`ShowActionGroup(IViewPart part)` Creates a new `ShowActionGroup`.
`ShowActionGroup(Page page)` Creates a new `ShowActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillActionBars(IActionBars actionBar)`
`void` `fillContextMenu(IMenuManager menu)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowActionGroup

    public ShowActionGroup(Page page)

Creates a new `ShowActionGroup`. The action requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group

#### ShowActionGroup

    public ShowActionGroup(IViewPart part)

Creates a new `ShowActionGroup`. The action requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### Method Detail

#### fillActionBars

    public void fillActionBars(IActionBars actionBar)

#### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

#### dispose

    public void dispose()